# WeakMap::valid

(PECL weakref >= 0.2.0)

WeakMap::valid — Returns whether the iterator is still on a valid map element

### Description

public WeakMap::valid ( void ) : bool

Returns whether the iterator is still on a valid map element.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the iterator is on a valid element that can be accessed, `FALSE` otherwise.